Subject: bug#31683: emacs-lisp-intro.texi - opportunity to link eintr to elisp

From: Van L <[email-masked]>
Date: Sat, 2 Jun 2018 23:30:35 +1000

> Eli Zaretskii writes:
> 
>> From: Van L <[email-masked]>
>> Date: Sat, 2 Jun 2018 20:39:49 +1000
>> 
>> The footnote at line 2150 *indirectly* links to (elisp) Printed Representation, which details what an expression is.
>> 
>> : 8cda6f8f44b (Glenn Morris             2007-09-06  2150) learn how to read it.@footnote{@code{(quote hello)} is an expansion of
> 
> I don't think I agree: the relation to expressions is too far-fetched
> here.

#+BEGIN_EXAMPLE
8cda6f8f44b (Glenn Morris             2007-09-06  1151) The printed representation of both atoms and lists are called
8cda6f8f44b (Glenn Morris             2007-09-06  1152) @dfn{symbolic expressions} or, more concisely, @dfn{s-expressions}.
8cda6f8f44b (Glenn Morris             2007-09-06  1153) The word @dfn{expression} by itself can refer to either the printed
8cda6f8f44b (Glenn Morris             2007-09-06  1154) representation, or to the atom or list as it is held internally in the
8cda6f8f44b (Glenn Morris             2007-09-06  1155) computer.  Often, people use the term @dfn{expression}
8cda6f8f44b (Glenn Morris             2007-09-06  1156) indiscriminately.  (Also, in many texts, the word @dfn{form} is used
8cda6f8f44b (Glenn Morris             2007-09-06  1157) as a synonym for expression.)

b8d4c8d0e93 doc/lispref/objects.texi (Glenn Morris        2007-09-06   95)   In other languages, an expression is text; it has no other form.  In
b8d4c8d0e93 doc/lispref/objects.texi (Glenn Morris        2007-09-06   96) Lisp, an expression is primarily a Lisp object and only secondarily the
b8d4c8d0e93 doc/lispref/objects.texi (Glenn Morris        2007-09-06   97) text that is the object's read syntax.  Often there is no need to
b8d4c8d0e93 doc/lispref/objects.texi (Glenn Morris        2007-09-06   98) emphasize this distinction, but you must keep it in the back of your
b8d4c8d0e93 doc/lispref/objects.texi (Glenn Morris        2007-09-06   99) mind, or you will occasionally be very confused.

#+END_EXAMPLE

Anyway. I find the above two snippets useful to link.

>> (I will re-open this bug number for future opportunities to link eintr, elisp after it is closed.)
> 
> Please don't, as each issue should be a separate bug report.

I won’t.